Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Juri Linkov <[email-masked]>
Date: Fri, 29 Apr 2022 20:11:47 +0300

> So I think I'll add `hide-titlebar-when-maximized' to Emacs 29, and then
> document that as a possible value for `window-size-change-functions'.

`window-size-change-functions' is a strange choice to react to the event
that maximizes the frame.  Maybe there is a hook that reacts to frame changes?